- [CatalogBundle](#catalogbundle)
- [Checkout](#checkout)
- [CheckoutBundle](#checkoutbundle)
- [FrontendTestFrameworkBundle](#frontendtestframeworkbundle)
- [OrderBundle](#orderbundle)
- [PricingBundle](#pricingbundle)
- [ProductBundle](#productbundle)
- [PromotionBundle](#promotionbundle)
- [RFPBundle](#rfpbundle)
- [RedirectBundle](#redirectbundle)
- [SaleBundle](#salebundle)
- [ShoppingListBundle](#shoppinglistbundle)
- [TaxBundle](#taxbundle)
- [UPSBundle](#upsbundle)
- [WebCatalogBundle](#webcatalogbundle)
- [WebsiteSearchBundle](#websitesearchbundle)

CatalogBundle
-------------
* The `CategoryContextUrlProvider::__construct(RequestStack $requestStack, UrlStorageCache $cache, UserLocalizationManager $userLocalizationManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/CatalogBundle/Provider/CategoryContextUrlProvider.php#L38 "Oro\Bundle\CatalogBundle\Provider\CategoryContextUrlProvider")</sup> method was changed to `CategoryContextUrlProvider::__construct(RequestStack $requestStack, UrlCacheInterface $cache, UserLocalizationManager $userLocalizationManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/CatalogBundle/Provider/CategoryContextUrlProvider.php#L38 "Oro\Bundle\CatalogBundle\Provider\CategoryContextUrlProvider")</sup>
* The `FeaturedCategoriesProvider::__construct(CategoryTreeProvider $categoryTreeProvider, TokenStorageInterface $tokenStorage)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/CatalogBundle/Layout/DataProvider/FeaturedCategoriesProvider.php#L31 "Oro\Bundle\CatalogBundle\Layout\DataProvider\FeaturedCategoriesProvider")</sup> method was changed to `FeaturedCategoriesProvider::__construct(CategoryTreeProvider $categoryTreeProvider, TokenStorageInterface $tokenStorage, LocalizationHelper $localizationHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/CatalogBundle/Layout/DataProvider/FeaturedCategoriesProvider.php#L37 "Oro\Bundle\CatalogBundle\Layout\DataProvider\FeaturedCategoriesProvider")</sup>
* The `FeaturedCategoriesProvider::setCategories`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/CatalogBundle/Layout/DataProvider/FeaturedCategoriesProvider.php#L51 "Oro\Bundle\CatalogBundle\Layout\DataProvider\FeaturedCategoriesProvider::setCategories")</sup> method was removed.
* The `DatagridListener::addCategoryJoin`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/CatalogBundle/EventListener/DatagridListener.php#L97 "Oro\Bundle\CatalogBundle\EventListener\DatagridListener::addCategoryJoin")</sup> method was removed.
* The `FeaturedCategoriesProvider::$categories`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/CatalogBundle/Layout/DataProvider/FeaturedCategoriesProvider.php#L15 "Oro\Bundle\CatalogBundle\Layout\DataProvider\FeaturedCategoriesProvider::$categories")</sup> property was removed.
* The `Category::$products`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/CatalogBundle/Entity/Category.php#L185 "Oro\Bundle\CatalogBundle\Entity\Category::$products")</sup> property was removed.
* The following methods in class `Category`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/CatalogBundle/Entity/Category.php#L404 "Oro\Bundle\CatalogBundle\Entity\Category")</sup> were removed:
   - `getProducts`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/CatalogBundle/Entity/Category.php#L404 "Oro\Bundle\CatalogBundle\Entity\Category::getProducts")</sup>
   - `setProducts`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/CatalogBundle/Entity/Category.php#L414 "Oro\Bundle\CatalogBundle\Entity\Category::setProducts")</sup>
   - `addProduct`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/CatalogBundle/Entity/Category.php#L426 "Oro\Bundle\CatalogBundle\Entity\Category::addProduct")</sup>
   - `removeProduct`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/CatalogBundle/Entity/Category.php#L440 "Oro\Bundle\CatalogBundle\Entity\Category::removeProduct")</sup>
   - `hasProduct`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/CatalogBundle/Entity/Category.php#L453 "Oro\Bundle\CatalogBundle\Entity\Category::hasProduct")</sup>

Checkout
--------
* The following interfaces were removed:
   - `CheckoutLineItemInterface`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Component/Checkout/LineItem/CheckoutLineItemInterface.php#L8 "Oro\Component\Checkout\LineItem\CheckoutLineItemInterface")</sup>
   - `CheckoutLineItemsHolderInterface`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Component/Checkout/LineItem/CheckoutLineItemsHolderInterface.php#L5 "Oro\Component\Checkout\LineItem\CheckoutLineItemsHolderInterface")</sup>

CheckoutBundle
--------------
* The `QuoteDemandLineItemConverter`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/CheckoutBundle/Converter/QuoteDemandLineItemConverter.php#L13 "Oro\Bundle\CheckoutBundle\Converter\QuoteDemandLineItemConverter")</sup> class was removed.
* The `CheckoutSubtotalProvider::__construct(TranslatorInterface $translator, RoundingServiceInterface $rounding, ProductPriceProvider $productPriceProvider, PriceListTreeHandler $priceListTreeHandler, UserCurrencyManager $currencyManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/CheckoutBundle/Provider/CheckoutSubtotalProvider.php#L43 "Oro\Bundle\CheckoutBundle\Provider\CheckoutSubtotalProvider")</sup> method was changed to `CheckoutSubtotalProvider::__construct(TranslatorInterface $translator, RoundingServiceInterface $rounding, ProductPriceProvider $productPriceProvider, PriceListTreeHandler $priceListTreeHandler, SubtotalProviderConstructorArguments $arguments)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/CheckoutBundle/Provider/CheckoutSubtotalProvider.php#L44 "Oro\Bundle\CheckoutBundle\Provider\CheckoutSubtotalProvider")</sup>
* The `CheckoutGridListener::__construct(UserCurrencyManager $currencyManager, CheckoutRepository $checkoutRepository, TotalProcessorProvider $totalProcessor, EntityNameResolver $entityNameResolver)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/CheckoutBundle/Datagrid/CheckoutGridListener.php#L63 "Oro\Bundle\CheckoutBundle\Datagrid\CheckoutGridListener")</sup> method was changed to `CheckoutGridListener::__construct(UserCurrencyManager $currencyManager, CheckoutRepository $checkoutRepository, TotalProcessorProvider $totalProcessor, EntityNameResolver $entityNameResolver, DoctrineHelper $doctrineHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/CheckoutBundle/Datagrid/CheckoutGridListener.php#L68 "Oro\Bundle\CheckoutBundle\Datagrid\CheckoutGridListener")</sup>
* The `CheckoutLineItemsDataProvider::__construct(FrontendProductPricesDataProvider $frontendProductPricesDataProvider, ManagerRegistry $registry)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/CheckoutBundle/DataProvider/LineItem/CheckoutLineItemsDataProvider.php#L32 "Oro\Bundle\CheckoutBundle\DataProvider\LineItem\CheckoutLineItemsDataProvider")</sup> method was changed to `CheckoutLineItemsDataProvider::__construct(FrontendProductPricesDataProvider $frontendProductPricesDataProvider, ManagerRegistry $registry)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/CheckoutBundle/DataProvider/LineItem/CheckoutLineItemsDataProvider.php#L32 "Oro\Bundle\CheckoutBundle\DataProvider\LineItem\CheckoutLineItemsDataProvider")</sup>
* The `CheckoutRepository::getCheckoutByQuote`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/CheckoutBundle/Entity/Repository/CheckoutRepository.php#L104 "Oro\Bundle\CheckoutBundle\Entity\Repository\CheckoutRepository::getCheckoutByQuote")</sup> method was removed.

FrontendTestFrameworkBundle
---------------------------
* The `FrontendWebTestCase::initClient`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/FrontendTestFrameworkBundle/Test/FrontendWebTestCase.php#L21 "Oro\Bundle\FrontendTestFrameworkBundle\Test\FrontendWebTestCase::initClient")</sup> method was removed.
* The `FrontendWebTestCase::$storedWebsiteManager`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/FrontendTestFrameworkBundle/Test/FrontendWebTestCase.php#L16 "Oro\Bundle\FrontendTestFrameworkBundle\Test\FrontendWebTestCase::$storedWebsiteManager")</sup> property was removed.

OrderBundle
-----------
* The `DiscountSubtotalProvider::__construct(TranslatorInterface $translator, RoundingServiceInterface $rounding, LineItemSubtotalProvider $lineItemSubtotal, TokenAccessorInterface $tokenAccessor, UserCurrencyManager $currencyManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/OrderBundle/Provider/DiscountSubtotalProvider.php#L44 "Oro\Bundle\OrderBundle\Provider\DiscountSubtotalProvider")</sup> method was changed to `DiscountSubtotalProvider::__construct(TranslatorInterface $translator, RoundingServiceInterface $rounding, LineItemSubtotalProvider $lineItemSubtotal, TokenAccessorInterface $tokenAccessor, SubtotalProviderConstructorArguments $arguments)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/OrderBundle/Provider/DiscountSubtotalProvider.php#L44 "Oro\Bundle\OrderBundle\Provider\DiscountSubtotalProvider")</sup>
* The `ShippingCostSubtotalProvider::__construct(TranslatorInterface $translator, RoundingServiceInterface $rounding, UserCurrencyManager $currencyManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/OrderBundle/Provider/ShippingCostSubtotalProvider.php#L35 "Oro\Bundle\OrderBundle\Provider\ShippingCostSubtotalProvider")</sup> method was changed to `ShippingCostSubtotalProvider::__construct(TranslatorInterface $translator, RoundingServiceInterface $rounding, SubtotalProviderConstructorArguments $arguments)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/OrderBundle/Provider/ShippingCostSubtotalProvider.php#L35 "Oro\Bundle\OrderBundle\Provider\ShippingCostSubtotalProvider")</sup>
* The `LineItemsFrontendDatagridListener::__construct(ConfigurableProductProvider $configurableProductProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/OrderBundle/EventListener/LineItemsFrontendDatagridListener.php#L20 "Oro\Bundle\OrderBundle\EventListener\LineItemsFrontendDatagridListener")</sup> method was changed to `LineItemsFrontendDatagridListener::__construct(ConfigurableProductProvider $configurableProductProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/OrderBundle/EventListener/LineItemsFrontendDatagridListener.php#L20 "Oro\Bundle\OrderBundle\EventListener\LineItemsFrontendDatagridListener")</sup>

PricingBundle
-------------
* The following classes were removed:
   - `EnableShardingOnConfigProcessor`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/PricingBundle/Api/ProductPrice/Processor/EnableShardingOnConfigProcessor.php#L17 "Oro\Bundle\PricingBundle\Api\ProductPrice\Processor\EnableShardingOnConfigProcessor")</sup>
   - `EnableShardingOnQueryProcessor`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/PricingBundle/Api/ProductPrice/Processor/EnableShardingOnQueryProcessor.php#L17 "Oro\Bundle\PricingBundle\Api\ProductPrice\Processor\EnableShardingOnQueryProcessor")</sup>
   - `LoadNormalizedProductPriceWithNormalizedIdProcessor`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/PricingBundle/Api/ProductPrice/Processor/LoadNormalizedProductPriceWithNormalizedIdProcessor.php#L14 "Oro\Bundle\PricingBundle\Api\ProductPrice\Processor\LoadNormalizedProductPriceWithNormalizedIdProcessor")</sup>
   - `NormalizeInputProductPriceIdProcessor`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/PricingBundle/Api/ProductPrice/Processor/NormalizeInputProductPriceIdProcessor.php#L18 "Oro\Bundle\PricingBundle\Api\ProductPrice\Processor\NormalizeInputProductPriceIdProcessor")</sup>
   - `NormalizeOutputProductPriceIdProcessor`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/PricingBundle/Api/ProductPrice/Processor/NormalizeOutputProductPriceIdProcessor.php#L12 "Oro\Bundle\PricingBundle\Api\ProductPrice\Processor\NormalizeOutputProductPriceIdProcessor")</sup>
   - `ResetPriceRuleFieldOnUpdateProcessor`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/PricingBundle/Api/ProductPrice/Processor/ResetPriceRuleFieldOnUpdateProcessor.php#L9 "Oro\Bundle\PricingBundle\Api\ProductPrice\Processor\ResetPriceRuleFieldOnUpdateProcessor")</sup>
   - `SaveProductPriceProcessor`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/PricingBundle/Api/ProductPrice/Processor/SaveProductPriceProcessor.php#L14 "Oro\Bundle\PricingBundle\Api\ProductPrice\Processor\SaveProductPriceProcessor")</sup>
   - `StorePriceListInContextByFilterProcessor`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/PricingBundle/Api/ProductPrice/Processor/StorePriceListInContextByFilterProcessor.php#L17 "Oro\Bundle\PricingBundle\Api\ProductPrice\Processor\StorePriceListInContextByFilterProcessor")</sup>
   - `StorePriceListInContextByProductPriceProcessor`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/PricingBundle/Api/ProductPrice/Processor/StorePriceListInContextByProductPriceProcessor.php#L13 "Oro\Bundle\PricingBundle\Api\ProductPrice\Processor\StorePriceListInContextByProductPriceProcessor")</sup>
   - `PriceListRelationTriggerHandlerForWebsiteAndCustomerGroupProcessor`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/PricingBundle/Api/Processor/PriceListRelationTriggerHandlerForWebsiteAndCustomerGroupProcessor.php#L11 "Oro\Bundle\PricingBundle\Api\Processor\PriceListRelationTriggerHandlerForWebsiteAndCustomerGroupProcessor")</sup>
   - `PriceListRelationTriggerHandlerForWebsiteAndCustomerProcessor`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/PricingBundle/Api/Processor/PriceListRelationTriggerHandlerForWebsiteAndCustomerProcessor.php#L11 "Oro\Bundle\PricingBundle\Api\Processor\PriceListRelationTriggerHandlerForWebsiteAndCustomerProcessor")</sup>
   - `UpdateLexemesOnPriceRuleDeleteListProcessor`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/PricingBundle/Api/PriceRule/Processor/UpdateLexemesOnPriceRuleDeleteListProcessor.php#L15 "Oro\Bundle\PricingBundle\Api\PriceRule\Processor\UpdateLexemesOnPriceRuleDeleteListProcessor")</sup>
   - `UpdateLexemesOnPriceRuleDeleteProcessor`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/PricingBundle/Api/PriceRule/Processor/UpdateLexemesOnPriceRuleDeleteProcessor.php#L14 "Oro\Bundle\PricingBundle\Api\PriceRule\Processor\UpdateLexemesOnPriceRuleDeleteProcessor")</sup>
   - `UpdateLexemesPriceRuleProcessor`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/PricingBundle/Api/PriceRule/Processor/UpdateLexemesPriceRuleProcessor.php#L13 "Oro\Bundle\PricingBundle\Api\PriceRule\Processor\UpdateLexemesPriceRuleProcessor")</sup>
   - `BuildCombinedPriceListOnScheduleDeleteListProcessor`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/PricingBundle/Api/PriceListSchedule/Processor/BuildCombinedPriceListOnScheduleDeleteListProcessor.php#L10 "Oro\Bundle\PricingBundle\Api\PriceListSchedule\Processor\BuildCombinedPriceListOnScheduleDeleteListProcessor")</sup>
   - `BuildCombinedPriceListOnScheduleDeleteProcessor`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/PricingBundle/Api/PriceListSchedule/Processor/BuildCombinedPriceListOnScheduleDeleteProcessor.php#L10 "Oro\Bundle\PricingBundle\Api\PriceListSchedule\Processor\BuildCombinedPriceListOnScheduleDeleteProcessor")</sup>
   - `BuildCombinedPriceListOnScheduleSaveProcessor`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/PricingBundle/Api/PriceListSchedule/Processor/BuildCombinedPriceListOnScheduleSaveProcessor.php#L10 "Oro\Bundle\PricingBundle\Api\PriceListSchedule\Processor\BuildCombinedPriceListOnScheduleSaveProcessor")</sup>
   - `UpdatePriceListContainsScheduleOnScheduleDeleteListProcessor`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/PricingBundle/Api/PriceListSchedule/Processor/UpdatePriceListContainsScheduleOnScheduleDeleteListProcessor.php#L11 "Oro\Bundle\PricingBundle\Api\PriceListSchedule\Processor\UpdatePriceListContainsScheduleOnScheduleDeleteListProcessor")</sup>
   - `UpdatePriceListContainsScheduleOnScheduleDeleteProcessor`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/PricingBundle/Api/PriceListSchedule/Processor/UpdatePriceListContainsScheduleOnScheduleDeleteProcessor.php#L11 "Oro\Bundle\PricingBundle\Api\PriceListSchedule\Processor\UpdatePriceListContainsScheduleOnScheduleDeleteProcessor")</sup>
   - `HandlePriceListStatusChangeProcessor`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/PricingBundle/Api/PriceList/Processor/HandlePriceListStatusChangeProcessor.php#L10 "Oro\Bundle\PricingBundle\Api\PriceList\Processor\HandlePriceListStatusChangeProcessor")</sup>
   - `UpdatePriceListLexemesProcessor`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/PricingBundle/Api/PriceList/Processor/UpdatePriceListLexemesProcessor.php#L10 "Oro\Bundle\PricingBundle\Api\PriceList\Processor\UpdatePriceListLexemesProcessor")</sup>
* The `TotalProcessorProvider::__construct(SubtotalProviderRegistry $subtotalProviderRegistry, TranslatorInterface $translator, RoundingServiceInterface $rounding, UserCurrencyManager $currencyManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/PricingBundle/SubtotalProcessor/TotalProcessorProvider.php#L42 "Oro\Bundle\PricingBundle\SubtotalProcessor\TotalProcessorProvider")</sup> method was changed to `TotalProcessorProvider::__construct(SubtotalProviderRegistry $subtotalProviderRegistry, TranslatorInterface $translator, RoundingServiceInterface $rounding, SubtotalProviderConstructorArguments $arguments)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/SubtotalProcessor/TotalProcessorProvider.php#L42 "Oro\Bundle\PricingBundle\SubtotalProcessor\TotalProcessorProvider")</sup>
* The `AbstractSubtotalProvider::__construct(UserCurrencyManager $currencyManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/PricingBundle/SubtotalProcessor/Provider/AbstractSubtotalProvider.php#L18 "Oro\Bundle\PricingBundle\SubtotalProcessor\Provider\AbstractSubtotalProvider")</sup> method was changed to `AbstractSubtotalProvider::__construct(SubtotalProviderConstructorArguments $arguments)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/SubtotalProcessor/Provider/AbstractSubtotalProvider.php#L25 "Oro\Bundle\PricingBundle\SubtotalProcessor\Provider\AbstractSubtotalProvider")</sup>
* The `LineItemNotPricedSubtotalProvider::__construct(TranslatorInterface $translator, RoundingServiceInterface $rounding, ProductPriceProvider $productPriceProvider, DoctrineHelper $doctrineHelper, PriceListTreeHandler $priceListTreeHandler, UserCurrencyManager $currencyManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/PricingBundle/SubtotalProcessor/Provider/LineItemNotPricedSubtotalProvider.php#L61 "Oro\Bundle\PricingBundle\SubtotalProcessor\Provider\LineItemNotPricedSubtotalProvider")</sup> method was changed to `LineItemNotPricedSubtotalProvider::__construct(TranslatorInterface $translator, RoundingServiceInterface $rounding, ProductPriceProvider $productPriceProvider, DoctrineHelper $doctrineHelper, PriceListTreeHandler $priceListTreeHandler, SubtotalProviderConstructorArguments $arguments)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/SubtotalProcessor/Provider/LineItemNotPricedSubtotalProvider.php#L60 "Oro\Bundle\PricingBundle\SubtotalProcessor\Provider\LineItemNotPricedSubtotalProvider")</sup>
* The `LineItemSubtotalProvider::__construct(TranslatorInterface $translator, RoundingServiceInterface $rounding, UserCurrencyManager $currencyManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/PricingBundle/SubtotalProcessor/Provider/LineItemSubtotalProvider.php#L37 "Oro\Bundle\PricingBundle\SubtotalProcessor\Provider\LineItemSubtotalProvider")</sup> method was changed to `LineItemSubtotalProvider::__construct(TranslatorInterface $translator, RoundingServiceInterface $rounding, SubtotalProviderConstructorArguments $arguments)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/SubtotalProcessor/Provider/LineItemSubtotalProvider.php#L36 "Oro\Bundle\PricingBundle\SubtotalProcessor\Provider\LineItemSubtotalProvider")</sup>
* The `AbstractPriceCombiningStrategy::__construct(Registry $registry, InsertFromSelectShardQueryExecutor $insertFromSelectQueryExecutor, CombinedPriceListTriggerHandler $triggerHandler)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/PricingBundle/PricingStrategy/AbstractPriceCombiningStrategy.php#L65 "Oro\Bundle\PricingBundle\PricingStrategy\AbstractPriceCombiningStrategy")</sup> method was changed to `AbstractPriceCombiningStrategy::__construct(Registry $registry, ShardQueryExecutorInterface $insertFromSelectQueryExecutor, CombinedPriceListTriggerHandler $triggerHandler)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/PricingStrategy/AbstractPriceCombiningStrategy.php#L68 "Oro\Bundle\PricingBundle\PricingStrategy\AbstractPriceCombiningStrategy")</sup>
* The `MinimalPricesCombiningStrategy::__construct(Registry $registry, InsertFromSelectShardQueryExecutor $insertFromSelectQueryExecutor, CombinedPriceListTriggerHandler $triggerHandler, ShardManager $shardManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/PricingBundle/PricingStrategy/MinimalPricesCombiningStrategy.php#L29 "Oro\Bundle\PricingBundle\PricingStrategy\MinimalPricesCombiningStrategy")</sup> method was changed to `MinimalPricesCombiningStrategy::__construct(Registry $registry, ShardQueryExecutorInterface $insertFromSelectQueryExecutor, CombinedPriceListTriggerHandler $triggerHandler, ShardManager $shardManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/PricingStrategy/MinimalPricesCombiningStrategy.php#L29 "Oro\Bundle\PricingBundle\PricingStrategy\MinimalPricesCombiningStrategy")</sup>
* The `BaseProductPriceRepository::copyPrices(BasePriceList $sourcePriceList, BasePriceList $targetPriceList, InsertFromSelectShardQueryExecutor $insertQueryExecutor)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/PricingBundle/Entity/Repository/BaseProductPriceRepository.php#L435 "Oro\Bundle\PricingBundle\Entity\Repository\BaseProductPriceRepository")</sup> method was changed to `BaseProductPriceRepository::copyPrices(BasePriceList $sourcePriceList, BasePriceList $targetPriceList, ShardQueryExecutorInterface $insertQueryExecutor)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Entity/Repository/BaseProductPriceRepository.php#L447 "Oro\Bundle\PricingBundle\Entity\Repository\BaseProductPriceRepository")</sup>
* The following methods in class `CombinedProductPriceRepository`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Entity/Repository/CombinedProductPriceRepository.php#L30 "Oro\Bundle\PricingBundle\Entity\Repository\CombinedProductPriceRepository")</sup> were changed:
  > - `insertPricesByPriceList(InsertFromSelectShardQueryExecutor $insertFromSelectQueryExecutor, CombinedPriceList $combinedPriceList, PriceList $priceList, $mergeAllowed, Product $product = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/PricingBundle/Entity/Repository/CombinedProductPriceRepository.php#L30 "Oro\Bundle\PricingBundle\Entity\Repository\CombinedProductPriceRepository")</sup>
  > - `insertPricesByPriceList(ShardQueryExecutorInterface $insertFromSelectQueryExecutor, CombinedPriceList $combinedPriceList, PriceList $priceList, $mergeAllowed, Product $product = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Entity/Repository/CombinedProductPriceRepository.php#L30 "Oro\Bundle\PricingBundle\Entity\Repository\CombinedProductPriceRepository")</sup>

  > - `insertMinimalPricesByPriceList(ShardManager $shardManager, InsertFromSelectShardQueryExecutor $insertFromSelectQueryExecutor, CombinedPriceList $combinedPriceList, PriceList $priceList, Product $product = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/PricingBundle/Entity/Repository/CombinedProductPriceRepository.php#L287 "Oro\Bundle\PricingBundle\Entity\Repository\CombinedProductPriceRepository")</sup>
  > - `insertMinimalPricesByPriceList(ShardManager $shardManager, ShardQueryExecutorInterface $insertFromSelectQueryExecutor, CombinedPriceList $combinedPriceList, PriceList $priceList, Product $product = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Entity/Repository/CombinedProductPriceRepository.php#L272 "Oro\Bundle\PricingBundle\Entity\Repository\CombinedProductPriceRepository")</sup>

* The `ProductPriceRepository::copyPrices(BasePriceList $sourcePriceList, BasePriceList $targetPriceList, InsertFromSelectShardQueryExecutor $insertQueryExecutor)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/PricingBundle/Entity/Repository/ProductPriceRepository.php#L132 "Oro\Bundle\PricingBundle\Entity\Repository\ProductPriceRepository")</sup> method was changed to `ProductPriceRepository::copyPrices(BasePriceList $sourcePriceList, BasePriceList $targetPriceList, ShardQueryExecutorInterface $insertQueryExecutor)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Entity/Repository/ProductPriceRepository.php#L132 "Oro\Bundle\PricingBundle\Entity\Repository\ProductPriceRepository")</sup>
* The `ProductPriceCPLEntityListener::__construct(ExtraActionEntityStorageInterface $extraActionsStorage, RegistryInterface $registry, PriceListTriggerHandler $priceListTriggerHandler)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/PricingBundle/Entity/EntityListener/ProductPriceCPLEntityListener.php#L38 "Oro\Bundle\PricingBundle\Entity\EntityListener\ProductPriceCPLEntityListener")</sup> method was changed to `ProductPriceCPLEntityListener::__construct(ExtraActionEntityStorageInterface $extraActionsStorage, RegistryInterface $registry, PriceListTriggerHandler $priceListTriggerHandler, ShardManager $shardManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Entity/EntityListener/ProductPriceCPLEntityListener.php#L52 "Oro\Bundle\PricingBundle\Entity\EntityListener\ProductPriceCPLEntityListener")</sup>
* The `ProductPriceDuplicator::__construct(ManagerRegistry $registry, InsertFromSelectShardQueryExecutor $insertQueryExecutor)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/PricingBundle/Duplicator/ProductPriceDuplicator.php#L37 "Oro\Bundle\PricingBundle\Duplicator\ProductPriceDuplicator")</sup> method was changed to `ProductPriceDuplicator::__construct(ManagerRegistry $registry, ShardQueryExecutorInterface $insertQueryExecutor)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Duplicator/ProductPriceDuplicator.php#L37 "Oro\Bundle\PricingBundle\Duplicator\ProductPriceDuplicator")</sup>
* The `ProductPriceBuilder::__construct(ManagerRegistry $registry, InsertFromSelectShardQueryExecutor $insertFromSelectQueryExecutor, PriceListRuleCompiler $ruleCompiler, PriceListTriggerHandler $priceListTriggerHandler, ShardManager $shardManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/PricingBundle/Builder/ProductPriceBuilder.php#L56 "Oro\Bundle\PricingBundle\Builder\ProductPriceBuilder")</sup> method was changed to `ProductPriceBuilder::__construct(ManagerRegistry $registry, ShardQueryExecutorInterface $insertFromSelectQueryExecutor, PriceListRuleCompiler $ruleCompiler, PriceListTriggerHandler $priceListTriggerHandler, ShardManager $shardManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Builder/ProductPriceBuilder.php#L56 "Oro\Bundle\PricingBundle\Builder\ProductPriceBuilder")</sup>
* The `InsertFromSelectShardQueryExecutor::__construct`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/PricingBundle/ORM/InsertFromSelectShardQueryExecutor.php#L30 "Oro\Bundle\PricingBundle\ORM\InsertFromSelectShardQueryExecutor::__construct")</sup> method was removed.
* The `FrontendProductPricesProvider::getSimpleByConfigurable`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/PricingBundle/Layout/DataProvider/FrontendProductPricesProvider.php#L109 "Oro\Bundle\PricingBundle\Layout\DataProvider\FrontendProductPricesProvider::getSimpleByConfigurable")</sup> method was removed.
* The `InsertFromSelectShardQueryExecutor::getTableName`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/PricingBundle/ORM/InsertFromSelectShardQueryExecutor.php#L88 "Oro\Bundle\PricingBundle\ORM\InsertFromSelectShardQueryExecutor::getTableName")</sup> method was removed.
* The `InsertFromSelectShardQueryExecutor::$shardManager`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/PricingBundle/ORM/InsertFromSelectShardQueryExecutor.php#L23 "Oro\Bundle\PricingBundle\ORM\InsertFromSelectShardQueryExecutor::$shardManager")</sup> property was removed.
* The `FrontendProductPricesProvider::setProductsPrices($products)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/PricingBundle/Layout/DataProvider/FrontendProductPricesProvider.php#L119 "Oro\Bundle\PricingBundle\Layout\DataProvider\FrontendProductPricesProvider")</sup> method was changed to `FrontendProductPricesProvider::setProductsPrices($products, $prices)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Layout/DataProvider/FrontendProductPricesProvider.php#L170 "Oro\Bundle\PricingBundle\Layout\DataProvider\FrontendProductPricesProvider")</sup>

ProductBundle
-------------
* The following classes were removed:
   - `ConfigurableProductProvider`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/ProductBundle/Provider/ConfigurableProductProvider.php#L11 "Oro\Bundle\ProductBundle\Provider\ConfigurableProductProvider")</sup>
   - `ProcessImagePathsConfig`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/ProductBundle/Api/Processor/Shared/ProcessImagePathsConfig.php#L13 "Oro\Bundle\ProductBundle\Api\Processor\Shared\ProcessImagePathsConfig")</sup>
* The `ContentVariantContextUrlProvider::__construct(RequestStack $requestStack, UrlStorageCache $cache, UserLocalizationManager $userLocalizationManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/ProductBundle/Provider/ContentVariantContextUrlProvider.php#L36 "Oro\Bundle\ProductBundle\Provider\ContentVariantContextUrlProvider")</sup> method was changed to `ContentVariantContextUrlProvider::__construct(RequestStack $requestStack, UrlCacheInterface $cache, UserLocalizationManager $userLocalizationManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/ProductBundle/Provider/ContentVariantContextUrlProvider.php#L36 "Oro\Bundle\ProductBundle\Provider\ContentVariantContextUrlProvider")</sup>
* The `ProductFormAvailabilityProvider::__construct(ProductVariantAvailabilityProvider $variantAvailability, ConfigManager $configManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/ProductBundle/Layout/DataProvider/ProductFormAvailabilityProvider.php#L29 "Oro\Bundle\ProductBundle\Layout\DataProvider\ProductFormAvailabilityProvider")</sup> method was changed to `ProductFormAvailabilityProvider::__construct(ConfigManager $configManager, ProductMatrixAvailabilityProvider $productMatrixAvailabilityProvider, UserAgentProvider $userAgentProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/ProductBundle/Layout/DataProvider/ProductFormAvailabilityProvider.php#L32 "Oro\Bundle\ProductBundle\Layout\DataProvider\ProductFormAvailabilityProvider")</sup>
* The `AttributeChangesListener::__construct(RequestStack $requestStack, ManagerRegistry $registry, EventDispatcherInterface $dispatcher)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/ProductBundle/EventListener/AttributeChangesListener.php#L39 "Oro\Bundle\ProductBundle\EventListener\AttributeChangesListener")</sup> method was changed to `AttributeChangesListener::__construct(RequestStack $requestStack, MessageProducerInterface $producer)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/ProductBundle/EventListener/AttributeChangesListener.php#L34 "Oro\Bundle\ProductBundle\EventListener\AttributeChangesListener")</sup>
* The `ProductImageResizeEvent::__construct(ProductImage $productImage, $forceOption = false)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/ProductBundle/Event/ProductImageResizeEvent.php#L27 "Oro\Bundle\ProductBundle\Event\ProductImageResizeEvent")</sup> method was changed to `ProductImageResizeEvent::__construct($productImageId, $forceOption = false)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/ProductBundle/Event/ProductImageResizeEvent.php#L27 "Oro\Bundle\ProductBundle\Event\ProductImageResizeEvent")</sup>
* The following methods in class `FeaturedProductsProvider`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/ProductBundle/Layout/DataProvider/FeaturedProductsProvider.php#L43 "Oro\Bundle\ProductBundle\Layout\DataProvider\FeaturedProductsProvider")</sup> were removed:
   - `__construct`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/ProductBundle/Layout/DataProvider/FeaturedProductsProvider.php#L43 "Oro\Bundle\ProductBundle\Layout\DataProvider\FeaturedProductsProvider::__construct")</sup>
   - `getProducts`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/ProductBundle/Layout/DataProvider/FeaturedProductsProvider.php#L58 "Oro\Bundle\ProductBundle\Layout\DataProvider\FeaturedProductsProvider::getProducts")</sup>
* The `NewArrivalsProvider::__construct`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/ProductBundle/Layout/DataProvider/NewArrivalsProvider.php#L42 "Oro\Bundle\ProductBundle\Layout\DataProvider\NewArrivalsProvider::__construct")</sup> method was removed.
* The following methods in class `ProductFormAvailabilityProvider`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/ProductBundle/Layout/DataProvider/ProductFormAvailabilityProvider.php#L70 "Oro\Bundle\ProductBundle\Layout\DataProvider\ProductFormAvailabilityProvider")</sup> were removed:
   - `getMatrixFormConfig`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/ProductBundle/Layout/DataProvider/ProductFormAvailabilityProvider.php#L70 "Oro\Bundle\ProductBundle\Layout\DataProvider\ProductFormAvailabilityProvider::getMatrixFormConfig")</sup>
   - `getMatrixAvailability`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/ProductBundle/Layout/DataProvider/ProductFormAvailabilityProvider.php#L100 "Oro\Bundle\ProductBundle\Layout\DataProvider\ProductFormAvailabilityProvider::getMatrixAvailability")</sup>
* The `ResizeAllProductImagesCommand::getProductImages`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/ProductBundle/Command/ResizeAllProductImagesCommand.php#L65 "Oro\Bundle\ProductBundle\Command\ResizeAllProductImagesCommand::getProductImages")</sup> method was removed.
* The following properties in class `AttributeChangesListener`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/ProductBundle/EventListener/AttributeChangesListener.php#L26 "Oro\Bundle\ProductBundle\EventListener\AttributeChangesListener")</sup> were removed:
   - `$registry`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/ProductBundle/EventListener/AttributeChangesListener.php#L26 "Oro\Bundle\ProductBundle\EventListener\AttributeChangesListener::$registry")</sup>
   - `$dispatcher`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/ProductBundle/EventListener/AttributeChangesListener.php#L29 "Oro\Bundle\ProductBundle\EventListener\AttributeChangesListener::$dispatcher")</sup>
* The `ProductImageResizeEvent::$productImage`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/ProductBundle/Event/ProductImageResizeEvent.php#L16 "Oro\Bundle\ProductBundle\Event\ProductImageResizeEvent::$productImage")</sup> property was removed.
* The `ProductLineItemInterface::getParentProduct`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/ProductBundle/Model/ProductLineItemInterface.php#L12 "Oro\Bundle\ProductBundle\Model\ProductLineItemInterface::getParentProduct")</sup> interface method was added.

PromotionBundle
---------------
* The `SubtotalProvider::__construct(UserCurrencyManager $currencyManager, PromotionExecutor $promotionExecutor, AppliedDiscountsProvider $appliedDiscountsProvider, RoundingServiceInterface $roundingService, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/PromotionBundle/Provider/SubtotalProvider.php#L51 "Oro\Bundle\PromotionBundle\Provider\SubtotalProvider")</sup> method was changed to `SubtotalProvider::__construct(SubtotalProviderConstructorArguments $arguments, PromotionExecutor $promotionExecutor, AppliedDiscountsProvider $appliedDiscountsProvider, RoundingServiceInterface $roundingService, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PromotionBundle/Provider/SubtotalProvider.php#L51 "Oro\Bundle\PromotionBundle\Provider\SubtotalProvider")</sup>
* The `OrderLineItemTypeExtension::__construct(TaxationSettingsProvider $taxationSettingsProvider, TaxManager $taxManager, AppliedDiscountsProvider $appliedDiscountsProvider, SectionProvider $sectionProvider, LineItemSubtotalProvider $lineItemSubtotalProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/PromotionBundle/Form/Extension/OrderLineItemTypeExtension.php#L55 "Oro\Bundle\PromotionBundle\Form\Extension\OrderLineItemTypeExtension")</sup> method was changed to `OrderLineItemTypeExtension::__construct(TaxationSettingsProvider $taxationSettingsProvider, TaxProviderRegistry $taxProviderRegistry, AppliedDiscountsProvider $appliedDiscountsProvider, SectionProvider $sectionProvider, LineItemSubtotalProvider $lineItemSubtotalProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PromotionBundle/Form/Extension/OrderLineItemTypeExtension.php#L57 "Oro\Bundle\PromotionBundle\Form\Extension\OrderLineItemTypeExtension")</sup>
* The `OrderLineItemAppliedDiscountsListener::__construct(TaxManager $taxManager, TaxationSettingsProvider $taxationSettingsProvider, LineItemSubtotalProvider $lineItemSubtotalProvider, AppliedDiscountsProvider $appliedDiscountsProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/PromotionBundle/EventListener/OrderLineItemAppliedDiscountsListener.php#L40 "Oro\Bundle\PromotionBundle\EventListener\OrderLineItemAppliedDiscountsListener")</sup> method was changed to `OrderLineItemAppliedDiscountsListener::__construct(TaxProviderRegistry $taxProviderRegistry, TaxationSettingsProvider $taxationSettingsProvider, LineItemSubtotalProvider $lineItemSubtotalProvider, AppliedDiscountsProvider $appliedDiscountsProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PromotionBundle/EventListener/OrderLineItemAppliedDiscountsListener.php#L41 "Oro\Bundle\PromotionBundle\EventListener\OrderLineItemAppliedDiscountsListener")</sup>
* The `LineItemsToDiscountLineItemsConverter::__construct(FrontendProductPricesDataProvider $productPricesDataProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/PromotionBundle/Discount/Converter/LineItemsToDiscountLineItemsConverter.php#L19 "Oro\Bundle\PromotionBundle\Discount\Converter\LineItemsToDiscountLineItemsConverter")</sup> method was changed to `LineItemsToDiscountLineItemsConverter::__construct(FrontendProductPricesDataProvider $productPricesDataProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PromotionBundle/Discount/Converter/LineItemsToDiscountLineItemsConverter.php#L19 "Oro\Bundle\PromotionBundle\Discount\Converter\LineItemsToDiscountLineItemsConverter")</sup>
* The `OrderLineItemTypeExtension::$taxManager`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/PromotionBundle/Form/Extension/OrderLineItemTypeExtension.php#L31 "Oro\Bundle\PromotionBundle\Form\Extension\OrderLineItemTypeExtension::$taxManager")</sup> property was removed.
* The `OrderLineItemAppliedDiscountsListener::$taxManager`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/PromotionBundle/EventListener/OrderLineItemAppliedDiscountsListener.php#L17 "Oro\Bundle\PromotionBundle\EventListener\OrderLineItemAppliedDiscountsListener::$taxManager")</sup> property was removed.

RFPBundle
---------
* The `RequestManager::__construct(TokenAccessorInterface $tokenAccessor, DoctrineHelper $doctrineHelper, GuestCustomerUserManager $guestCustomerUserManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/RFPBundle/Model/RequestManager.php#L33 "Oro\Bundle\RFPBundle\Model\RequestManager")</sup> method was changed to `RequestManager::__construct(TokenAccessorInterface $tokenAccessor, DoctrineHelper $doctrineHelper, GuestCustomerUserManager $guestCustomerUserManager, WebsiteManager $websiteManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/RFPBundle/Model/RequestManager.php#L37 "Oro\Bundle\RFPBundle\Model\RequestManager")</sup>

RedirectBundle
--------------
* The `SluggableUrlCacheAwareProvider::__construct(UrlStorageCache $cache)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/RedirectBundle/Provider/SluggableUrlCacheAwareProvider.php#L25 "Oro\Bundle\RedirectBundle\Provider\SluggableUrlCacheAwareProvider")</sup> method was changed to `SluggableUrlCacheAwareProvider::__construct(UrlCacheInterface $cache)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/RedirectBundle/Provider/SluggableUrlCacheAwareProvider.php#L25 "Oro\Bundle\RedirectBundle\Provider\SluggableUrlCacheAwareProvider")</sup>
* The `SluggableUrlDatabaseAwareProvider::__construct(SluggableUrlCacheAwareProvider $urlCacheAwareProvider, UrlStorageCache $cache, ManagerRegistry $registry)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/RedirectBundle/Provider/SluggableUrlDatabaseAwareProvider.php#L39 "Oro\Bundle\RedirectBundle\Provider\SluggableUrlDatabaseAwareProvider")</sup> method was changed to `SluggableUrlDatabaseAwareProvider::__construct(SluggableUrlCacheAwareProvider $urlCacheAwareProvider, UrlCacheInterface $cache, ManagerRegistry $registry)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/RedirectBundle/Provider/SluggableUrlDatabaseAwareProvider.php#L45 "Oro\Bundle\RedirectBundle\Provider\SluggableUrlDatabaseAwareProvider")</sup>
* The `SlugEntityGenerator::__construct(RoutingInformationProviderInterface $routingInformationProvider, UniqueSlugResolver $slugResolver, RedirectGenerator $redirectGenerator, UrlStorageCache $urlStorageCache)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/RedirectBundle/Generator/SlugEntityGenerator.php#L41 "Oro\Bundle\RedirectBundle\Generator\SlugEntityGenerator")</sup> method was changed to `SlugEntityGenerator::__construct(RoutingInformationProviderInterface $routingInformationProvider, UniqueSlugResolver $slugResolver, RedirectGenerator $redirectGenerator, UrlCacheInterface $urlCache)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/RedirectBundle/Generator/SlugEntityGenerator.php#L46 "Oro\Bundle\RedirectBundle\Generator\SlugEntityGenerator")</sup>
* The `SluggableUrlDumper::__construct(SlugRepository $slugRepository, UrlStorageCache $cache)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/RedirectBundle/Cache/Dumper/SluggableUrlDumper.php#L24 "Oro\Bundle\RedirectBundle\Cache\Dumper\SluggableUrlDumper")</sup> method was changed to `SluggableUrlDumper::__construct(SlugRepository $slugRepository, UrlCacheInterface $cache)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/RedirectBundle/Cache/Dumper/SluggableUrlDumper.php#L25 "Oro\Bundle\RedirectBundle\Cache\Dumper\SluggableUrlDumper")</sup>
* The `DirectUrlProcessor::__construct(ManagerRegistry $registry, SlugEntityGenerator $generator, MessageFactoryInterface $messageFactory, DatabaseExceptionHelper $databaseExceptionHelper, LoggerInterface $logger, UrlStorageCache $urlStorageCache)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/RedirectBundle/Async/DirectUrlProcessor.php#L60 "Oro\Bundle\RedirectBundle\Async\DirectUrlProcessor")</sup> method was changed to `DirectUrlProcessor::__construct(ManagerRegistry $registry, SlugEntityGenerator $generator, MessageFactoryInterface $messageFactory, DatabaseExceptionHelper $databaseExceptionHelper, LoggerInterface $logger, UrlCacheInterface $urlCache)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/RedirectBundle/Async/DirectUrlProcessor.php#L61 "Oro\Bundle\RedirectBundle\Async\DirectUrlProcessor")</sup>
* The `UrlCacheMassJobProcessor::__construct(JobRunner $jobRunner, MessageProducerInterface $producer, SlugRepository $slugRepository, LoggerInterface $logger, UrlStorageCache $cache)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/RedirectBundle/Async/UrlCacheMassJobProcessor.php#L57 "Oro\Bundle\RedirectBundle\Async\UrlCacheMassJobProcessor")</sup> method was changed to `UrlCacheMassJobProcessor::__construct(JobRunner $jobRunner, MessageProducerInterface $producer, SlugRepository $slugRepository, LoggerInterface $logger, UrlCacheInterface $cache)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/RedirectBundle/Async/UrlCacheMassJobProcessor.php#L58 "Oro\Bundle\RedirectBundle\Async\UrlCacheMassJobProcessor")</sup>
* The following methods in class `Slug`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/RedirectBundle/Entity/Slug.php#L349 "Oro\Bundle\RedirectBundle\Entity\Slug")</sup> were removed:
   - `hashParameters`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/RedirectBundle/Entity/Slug.php#L349 "Oro\Bundle\RedirectBundle\Entity\Slug::hashParameters")</sup>
   - `prePersist`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/RedirectBundle/Entity/Slug.php#L365 "Oro\Bundle\RedirectBundle\Entity\Slug::prePersist")</sup>
   - `preUpdate`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/RedirectBundle/Entity/Slug.php#L375 "Oro\Bundle\RedirectBundle\Entity\Slug::preUpdate")</sup>
* The `UrlStorageCache::flush`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/RedirectBundle/Cache/UrlStorageCache.php#L138 "Oro\Bundle\RedirectBundle\Cache\UrlStorageCache::flush")</sup> method was removed.
* The `Slug::updateParametersHash`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/RedirectBundle/Entity/Slug.php#L380 "Oro\Bundle\RedirectBundle\Entity\Slug::updateParametersHash")</sup> method was removed.

SaleBundle
----------
* The `FrontendQuoteDatagridListener::onResultBeforeQuery`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/SaleBundle/EventListener/Datagrid/FrontendQuoteDatagridListener.php#L16 "Oro\Bundle\SaleBundle\EventListener\Datagrid\FrontendQuoteDatagridListener::onResultBeforeQuery")</sup> method was removed.

ShoppingListBundle
------------------
* The `FrontendProductPricesDataProvider`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/ShoppingListBundle/DataProvider/FrontendProductPricesDataProvider.php#L13 "Oro\Bundle\ShoppingListBundle\DataProvider\FrontendProductPricesDataProvider")</sup> class was removed.
* The `MatrixGridOrderManager::__construct(PropertyAccessor $propertyAccessor, ProductVariantAvailabilityProvider $variantAvailability)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/ShoppingListBundle/Manager/MatrixGridOrderManager.php#L37 "Oro\Bundle\ShoppingListBundle\Manager\MatrixGridOrderManager")</sup> method was changed to `MatrixGridOrderManager::__construct(PropertyAccessor $propertyAccessor, ProductVariantAvailabilityProvider $variantAvailability, EmptyMatrixGridInterface $emptyMatrixGridManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/ShoppingListBundle/Manager/MatrixGridOrderManager.php#L43 "Oro\Bundle\ShoppingListBundle\Manager\MatrixGridOrderManager")</sup>
* The `FrontendShoppingListProductsProvider::__construct(LineItemRepository $lineItemRepository, FrontendProductPricesDataProvider $productPriceProvider, ShoppingListLineItemsDataProvider $shoppingListLineItemsDataProvider, ProductPriceFormatter $productPriceFormatter)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/ShoppingListBundle/Layout/DataProvider/FrontendShoppingListProductsProvider.php#L39 "Oro\Bundle\ShoppingListBundle\Layout\DataProvider\FrontendShoppingListProductsProvider")</sup> method was changed to `FrontendShoppingListProductsProvider::__construct(LineItemRepository $lineItemRepository, FrontendProductPricesDataProvider $productPriceProvider, ShoppingListLineItemsDataProvider $shoppingListLineItemsDataProvider, ProductPriceFormatter $productPriceFormatter)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/ShoppingListBundle/Layout/DataProvider/FrontendShoppingListProductsProvider.php#L41 "Oro\Bundle\ShoppingListBundle\Layout\DataProvider\FrontendShoppingListProductsProvider")</sup>
* The `MatrixGridOrderProvider::__construct(MatrixGridOrderManager $matrixGridManager, TotalProcessorProvider $totalProvider, NumberFormatter $numberFormatter)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/ShoppingListBundle/Layout/DataProvider/MatrixGridOrderProvider.php#L34 "Oro\Bundle\ShoppingListBundle\Layout\DataProvider\MatrixGridOrderProvider")</sup> method was changed to `MatrixGridOrderProvider::__construct(MatrixGridOrderManager $matrixGridManager, TotalProcessorProvider $totalProvider, NumberFormatter $numberFormatter, ShoppingListManager $shoppingListManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/ShoppingListBundle/Layout/DataProvider/MatrixGridOrderProvider.php#L41 "Oro\Bundle\ShoppingListBundle\Layout\DataProvider\MatrixGridOrderProvider")</sup>
* The `AddProductsMassActionHandler::__construct(ShoppingListLineItemHandler $shoppingListLineItemHandler, MessageGenerator $messageGenerator, ManagerRegistry $managerRegistry)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/ShoppingListBundle/Datagrid/Extension/MassAction/AddProductsMassActionHandler.php#L31 "Oro\Bundle\ShoppingListBundle\Datagrid\Extension\MassAction\AddProductsMassActionHandler")</sup> method was changed to `AddProductsMassActionHandler::__construct(ShoppingListLineItemHandler $shoppingListLineItemHandler, MessageGenerator $messageGenerator, ManagerRegistry $managerRegistry, ProductShoppingListsDataProvider $productShoppingListsDataProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/ShoppingListBundle/Datagrid/Extension/MassAction/AddProductsMassActionHandler.php#L37 "Oro\Bundle\ShoppingListBundle\Datagrid\Extension\MassAction\AddProductsMassActionHandler")</sup>

TaxBundle
---------
* The `TaxSubtotalProvider::__construct(TranslatorInterface $translator, TaxManager $taxManager, TaxFactory $taxFactory)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/TaxBundle/Provider/TaxSubtotalProvider.php#L41 "Oro\Bundle\TaxBundle\Provider\TaxSubtotalProvider")</sup> method was changed to `TaxSubtotalProvider::__construct(TranslatorInterface $translator, TaxProviderRegistry $taxProviderRegistry, TaxFactory $taxFactory)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/TaxBundle/Provider/TaxSubtotalProvider.php#L40 "Oro\Bundle\TaxBundle\Provider\TaxSubtotalProvider")</sup>
* The `TaxProvider::__construct(TaxManager $taxManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/TaxBundle/Layout/Provider/TaxProvider.php#L16 "Oro\Bundle\TaxBundle\Layout\Provider\TaxProvider")</sup> method was changed to `TaxProvider::__construct(TaxProviderRegistry $taxProviderRegistry)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/TaxBundle/Layout/Provider/TaxProvider.php#L16 "Oro\Bundle\TaxBundle\Layout\Provider\TaxProvider")</sup>
* The `OrderLineItemTypeExtension::__construct(TaxationSettingsProvider $taxationSettingsProvider, TaxManager $taxManager, TotalProcessorProvider $totalProcessorProvider, SectionProvider $sectionProvider, $extendedType)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/TaxBundle/Form/Extension/OrderLineItemTypeExtension.php#L41 "Oro\Bundle\TaxBundle\Form\Extension\OrderLineItemTypeExtension")</sup> method was changed to `OrderLineItemTypeExtension::__construct(TaxationSettingsProvider $taxationSettingsProvider, TaxProviderRegistry $taxProviderRegistry, TotalProcessorProvider $totalProcessorProvider, SectionProvider $sectionProvider, $extendedType)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/TaxBundle/Form/Extension/OrderLineItemTypeExtension.php#L41 "Oro\Bundle\TaxBundle\Form\Extension\OrderLineItemTypeExtension")</sup>
* The `EntityTaxListener::__construct(TaxManager $taxManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/TaxBundle/EventListener/EntityTaxListener.php#L28 "Oro\Bundle\TaxBundle\EventListener\EntityTaxListener")</sup> method was changed to `EntityTaxListener::__construct(TaxProviderRegistry $taxProviderRegistry)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/TaxBundle/EventListener/EntityTaxListener.php#L29 "Oro\Bundle\TaxBundle\EventListener\EntityTaxListener")</sup>
* The `ExtractLineItemPaymentOptionsListener::__construct(TranslatorInterface $translator, TaxManager $taxManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/TaxBundle/EventListener/ExtractLineItemPaymentOptionsListener.php#L24 "Oro\Bundle\TaxBundle\EventListener\ExtractLineItemPaymentOptionsListener")</sup> method was changed to `ExtractLineItemPaymentOptionsListener::__construct(TranslatorInterface $translator, TaxProviderRegistry $taxProviderRegistry)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/TaxBundle/EventListener/ExtractLineItemPaymentOptionsListener.php#L25 "Oro\Bundle\TaxBundle\EventListener\ExtractLineItemPaymentOptionsListener")</sup>
* The `OrderTaxesListener::__construct(TaxManager $taxManager, TaxationSettingsProvider $taxationSettingsProvider, PriceMatcher $priceMatcher)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/TaxBundle/EventListener/Order/OrderTaxesListener.php#L30 "Oro\Bundle\TaxBundle\EventListener\Order\OrderTaxesListener")</sup> method was changed to `OrderTaxesListener::__construct(TaxProviderRegistry $taxProviderRegistry, TaxationSettingsProvider $taxationSettingsProvider, PriceMatcher $priceMatcher)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/TaxBundle/EventListener/Order/OrderTaxesListener.php#L31 "Oro\Bundle\TaxBundle\EventListener\Order\OrderTaxesListener")</sup>
* The `TaxSubtotalProvider::$taxManager`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/TaxBundle/Provider/TaxSubtotalProvider.php#L29 "Oro\Bundle\TaxBundle\Provider\TaxSubtotalProvider::$taxManager")</sup> property was removed.
* The `TaxProvider::$taxManager`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/TaxBundle/Layout/Provider/TaxProvider.php#L11 "Oro\Bundle\TaxBundle\Layout\Provider\TaxProvider::$taxManager")</sup> property was removed.
* The `OrderLineItemTypeExtension::$taxManager`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/TaxBundle/Form/Extension/OrderLineItemTypeExtension.php#L23 "Oro\Bundle\TaxBundle\Form\Extension\OrderLineItemTypeExtension::$taxManager")</sup> property was removed.
* The `EntityTaxListener::$taxManager`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/TaxBundle/EventListener/EntityTaxListener.php#L17 "Oro\Bundle\TaxBundle\EventListener\EntityTaxListener::$taxManager")</sup> property was removed.
* The `ExtractLineItemPaymentOptionsListener::$taxManager`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/TaxBundle/EventListener/ExtractLineItemPaymentOptionsListener.php#L15 "Oro\Bundle\TaxBundle\EventListener\ExtractLineItemPaymentOptionsListener::$taxManager")</sup> property was removed.
* The `OrderTaxesListener::$taxManager`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/TaxBundle/EventListener/Order/OrderTaxesListener.php#L17 "Oro\Bundle\TaxBundle\EventListener\Order\OrderTaxesListener::$taxManager")</sup> property was removed.
* The following methods in interface `TaxProviderInterface`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/TaxBundle/Provider/TaxProviderInterface.php#L38 "Oro\Bundle\TaxBundle\Provider\TaxProviderInterface")</sup> were added:
   - `createTaxValue`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/TaxBundle/Provider/TaxProviderInterface.php#L38 "Oro\Bundle\TaxBundle\Provider\TaxProviderInterface::createTaxValue")</sup>
   - `loadTax`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/TaxBundle/Provider/TaxProviderInterface.php#L47 "Oro\Bundle\TaxBundle\Provider\TaxProviderInterface::loadTax")</sup>
   - `getTax`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/TaxBundle/Provider/TaxProviderInterface.php#L56 "Oro\Bundle\TaxBundle\Provider\TaxProviderInterface::getTax")</sup>
   - `saveTax`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/TaxBundle/Provider/TaxProviderInterface.php#L65 "Oro\Bundle\TaxBundle\Provider\TaxProviderInterface::saveTax")</sup>
   - `removeTax`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/TaxBundle/Provider/TaxProviderInterface.php#L74 "Oro\Bundle\TaxBundle\Provider\TaxProviderInterface::removeTax")</sup>

UPSBundle
---------
* The `RemoveUsedShippingServiceValidator`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/UPSBundle/Validator/Constraints/RemoveUsedShippingServiceValidator.php#L14 "Oro\Bundle\UPSBundle\Validator\Constraints\RemoveUsedShippingServiceValidator")</sup> class was removed.
* The following methods in class `Package`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/UPSBundle/Model/Package.php#L120 "Oro\Bundle\UPSBundle\Model\Package")</sup> were removed:
   - `getDimensionCode`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/UPSBundle/Model/Package.php#L120 "Oro\Bundle\UPSBundle\Model\Package::getDimensionCode")</sup>
   - `setDimensionCode`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/UPSBundle/Model/Package.php#L129 "Oro\Bundle\UPSBundle\Model\Package::setDimensionCode")</sup>
   - `getDimensionLength`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/UPSBundle/Model/Package.php#L139 "Oro\Bundle\UPSBundle\Model\Package::getDimensionLength")</sup>
   - `setDimensionLength`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/UPSBundle/Model/Package.php#L148 "Oro\Bundle\UPSBundle\Model\Package::setDimensionLength")</sup>
   - `getDimensionWidth`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/UPSBundle/Model/Package.php#L158 "Oro\Bundle\UPSBundle\Model\Package::getDimensionWidth")</sup>
   - `setDimensionWidth`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/UPSBundle/Model/Package.php#L167 "Oro\Bundle\UPSBundle\Model\Package::setDimensionWidth")</sup>
   - `getDimensionHeight`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/UPSBundle/Model/Package.php#L177 "Oro\Bundle\UPSBundle\Model\Package::getDimensionHeight")</sup>
   - `setDimensionHeight`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/UPSBundle/Model/Package.php#L186 "Oro\Bundle\UPSBundle\Model\Package::setDimensionHeight")</sup>
* The `Package::create($dimensionCode, $dimensionHeight, $dimensionWidth, $dimensionLength, $unitOfWeight, $weight)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/UPSBundle/Model/Package.php#L71 "Oro\Bundle\UPSBundle\Model\Package")</sup> method was changed to `Package::create($unitOfWeight, $weight)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/UPSBundle/Model/Package.php#L47 "Oro\Bundle\UPSBundle\Model\Package")</sup>
* The following properties in class `Package`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/UPSBundle/Model/Package.php#L17 "Oro\Bundle\UPSBundle\Model\Package")</sup> were removed:
   - `$dimensionCode`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/UPSBundle/Model/Package.php#L17 "Oro\Bundle\UPSBundle\Model\Package::$dimensionCode")</sup>
   - `$dimensionLength`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/UPSBundle/Model/Package.php#L22 "Oro\Bundle\UPSBundle\Model\Package::$dimensionLength")</sup>
   - `$dimensionWidth`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/UPSBundle/Model/Package.php#L27 "Oro\Bundle\UPSBundle\Model\Package::$dimensionWidth")</sup>
   - `$dimensionHeight`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/UPSBundle/Model/Package.php#L32 "Oro\Bundle\UPSBundle\Model\Package::$dimensionHeight")</sup>
* The `PriceRequestFactory::getProductsParamsByUnit`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/UPSBundle/Factory/PriceRequestFactory.php#L171 "Oro\Bundle\UPSBundle\Factory\PriceRequestFactory::getProductsParamsByUnit")</sup> method was removed.

WebCatalogBundle
----------------
* The `WebCatalogUsageProvider::$managerRegistry`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/WebCatalogBundle/Provider/WebCatalogUsageProvider.php#L25 "Oro\Bundle\WebCatalogBundle\Provider\WebCatalogUsageProvider::$managerRegistry")</sup> property was removed.
* The `WebCatalogVoter::__construct(DoctrineHelper $doctrineHelper, WebCatalogUsageProvider $usageProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/WebCatalogBundle/Acl/Voter/WebCatalogVoter.php#L29 "Oro\Bundle\WebCatalogBundle\Acl\Voter\WebCatalogVoter")</sup> method was changed to `WebCatalogVoter::__construct(DoctrineHelper $doctrineHelper, WebCatalogUsageProviderInterface $usageProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/WebCatalogBundle/Acl/Voter/WebCatalogVoter.php#L29 "Oro\Bundle\WebCatalogBundle\Acl\Voter\WebCatalogVoter")</sup>

WebsiteSearchBundle
-------------------
* The `ReindexDemoDataFixturesListener::__construct(EventDispatcherInterface $dispatcher)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/WebsiteSearchBundle/EventListener/ReindexDemoDataFixturesListener.php#L21 "Oro\Bundle\WebsiteSearchBundle\EventListener\ReindexDemoDataFixturesListener")</sup> method was changed to `ReindexDemoDataFixturesListener::__construct(OptionalListenerManager $listenerManager, EventDispatcherInterface $dispatcher)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/WebsiteSearchBundle/EventListener/ReindexDemoDataFixturesListener.php#L23 "Oro\Bundle\WebsiteSearchBundle\EventListener\ReindexDemoDataFixturesListener")</sup>
* The `AsyncIndexer::__construct(IndexerInterface $baseIndexer, MessageProducerInterface $messageProducer, IndexerInputValidator $indexerInputValidator, ReindexMessageGranularizer $reindexMessageGranularizer)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/WebsiteSearchBundle/Engine/AsyncIndexer.php#L42 "Oro\Bundle\WebsiteSearchBundle\Engine\AsyncIndexer")</sup> method was changed to `AsyncIndexer::__construct(IndexerInterface $baseIndexer, MessageProducerInterface $messageProducer, IndexerInputValidator $indexerInputValidator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/WebsiteSearchBundle/Engine/AsyncIndexer.php#L39 "Oro\Bundle\WebsiteSearchBundle\Engine\AsyncIndexer")</sup>
* The `SearchMessageProcessor::__construct(IndexerInterface $indexer, JobRunner $jobRunner)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/WebsiteSearchBundle/Engine/AsyncMessaging/SearchMessageProcessor.php#L32 "Oro\Bundle\WebsiteSearchBundle\Engine\AsyncMessaging\SearchMessageProcessor")</sup> method was changed to `SearchMessageProcessor::__construct(IndexerInterface $indexer, JobRunner $jobRunner, MessageProducerInterface $messageProducer, IndexerInputValidator $indexerInputValidator, ReindexMessageGranularizer $reindexMessageGranularizer)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/WebsiteSearchBundle/Engine/AsyncMessaging/SearchMessageProcessor.php#L50 "Oro\Bundle\WebsiteSearchBundle\Engine\AsyncMessaging\SearchMessageProcessor")</sup>
* The `IndexDataProvider::clearValue($type, $value)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.5.0/src/Oro/Bundle/WebsiteSearchBundle/Engine/IndexDataProvider.php#L327 "Oro\Bundle\WebsiteSearchBundle\Engine\IndexDataProvider")</sup> method was changed to `IndexDataProvider::clearValue($type, $fieldName, $value)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/WebsiteSearchBundle/Engine/IndexDataProvider.php#L352 "Oro\Bundle\WebsiteSearchBundle\Engine\IndexDataProvider")</sup>

